Retrieves the used part with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

job_part_usage
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

jobs_id

Foreign key of jobs

globally unique identifier

Required

article_id

Foreign key of article. Can be empty if user keys in manually the object

globally unique identifier
user_id

Foreign key, user that uses this part

globally unique identifier

Required

article_stock_location_id

In case of stock management enabled, the stock that has been used

globally unique identifier
working_date

Date when the part has been used

date
code

Code of the part (filled by article.code or manually by the user)

string

Max length: 255

name

Name of the part (filled by article.name or manually by the user)

string

Max length: 255

description

Description of the part (filled by article.description or manually by the user)

string

Max length: 255

quantity

Quantity

decimal number

Required

Range: inclusive between 0.1 and 1.79769313486232E+308

price

Unit price of the part. Computed with the price logic or filled via purchase_order_details.price

decimal number
remark

Remark / Line memo

string

Max length: 255

purchase_order_details_id

Foreign key of purchase_order_details, if the line was generated based on a purchase_order_details

globally unique identifier
signed_by_company

Object was included in a job approval and signed (readonly)

boolean
job_approval_id

Foreign key to the approval this lines belongs

globally unique identifier
is_under_warranty

If the system detects that line was included in the warranty, price will be 0

boolean
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "85a7a3c5-73e5-4232-9ad3-867b312cc90d",
  "jobs_id": "61fae5fc-035b-4947-87b8-e56acbaa349d",
  "article_id": "0adde4b6-05e2-4d5a-b731-a781ff81e5a0",
  "user_id": "64aefb50-b0e4-4aa9-bae9-5aabdc652083",
  "article_stock_location_id": "74312658-282d-4de3-bdf1-c663496747eb",
  "working_date": "2026-10-19T22:31:25.8841834+00:00",
  "code": "sample string 7",
  "name": "sample string 8",
  "description": "sample string 9",
  "quantity": 10.0,
  "price": 11.0,
  "remark": "sample string 12",
  "purchase_order_details_id": "6eb4d229-7f0d-4b5f-bf7d-c7d60fdd0b66",
  "signed_by_company": true,
  "job_approval_id": "ddd1a364-1dd6-477d-8026-2fd36a9ab64d",
  "is_under_warranty": true,
  "modified_dateutc": "2026-10-19T22:31:25.8841834+00:00"
}